<?php
// 支付的时候，等待notify_url的结果
require_once ("../user_include.inc");

$ta = new TemplateAction();
if(!$ta->isLogin()) {
	response("NG", "请先登录！");
}

// 参数取得
$out_trade_no = ParamUtil::getRequestString("out_trade_no");
ErrorLogger::doOutput("Koala...ajax_check_alipay_order.php....out_trade_no=" . $out_trade_no, 0);

if (empty($out_trade_no)) {
	response("NG", "订单不存在！");
}

$param = array();
$param["trade_no"] = $out_trade_no;
$param["delete_flg"] = false;
$user_buy_couse_dat_list = UserBuyCouseDat::getList($param, "id", "desc", 0, 1);
if(!empty($user_buy_couse_dat_list)) {
	$user_buy_couse_dat = $user_buy_couse_dat_list[0];
	$course_mst = CourseMst::getById($user_buy_couse_dat->course_id);
	if(empty($course_mst)) {
		response("NG", "数据错误！");
	}
	$user_buy_couse_dat->course_name = $course_mst->title;
} else {
	response("NG", "订单不存在！");
}

//$user_buy_couse_dat->status="WAITING";

response("OK", $user_buy_couse_dat);

function response($status, $data) {
	$result = array("status"=>$status, "data"=>$data);
	print json_encode($result);
	exit;
}

?>

